<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RVoiceMailProfile StructType
 * @subpackage Structs
 */
class RVoiceMailProfile extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The isDefault
     * Meta information extracted from the WSDL
     * - documentation: In Update setting isDefault tag as false would not disable this VoiceMailProfile as Default. Instead, the corresponding tag of another VoiceMailProfile should be set to true.
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isDefault;
    /**
     * The voiceMailboxMask
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $voiceMailboxMask;
    /**
     * The voiceMailPilot
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RVmPilot
     */
    public $voiceMailPilot;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RVoiceMailProfile
     * @uses RVoiceMailProfile::setName()
     * @uses RVoiceMailProfile::setDescription()
     * @uses RVoiceMailProfile::setIsDefault()
     * @uses RVoiceMailProfile::setVoiceMailboxMask()
     * @uses RVoiceMailProfile::setVoiceMailPilot()
     * @uses RVoiceMailProfile::setUuid()
     * @param string $name
     * @param string $description
     * @param string $isDefault
     * @param string $voiceMailboxMask
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RVmPilot $voiceMailPilot
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $isDefault = null, $voiceMailboxMask = null, \\Losc\CucmBundle\Model\Webservice\StructType\RVmPilot $voiceMailPilot = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setIsDefault($isDefault)
            ->setVoiceMailboxMask($voiceMailboxMask)
            ->setVoiceMailPilot($voiceMailPilot)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVoiceMailProfile
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVoiceMailProfile
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get isDefault value
     * @return string|null
     */
    public function getIsDefault()
    {
        return $this->isDefault;
    }
    /**
     * Set isDefault value
     * @param string $isDefault
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVoiceMailProfile
     */
    public function setIsDefault($isDefault = null)
    {
        $this->isDefault = $isDefault;
        return $this;
    }
    /**
     * Get voiceMailboxMask value
     * @return string|null
     */
    public function getVoiceMailboxMask()
    {
        return $this->voiceMailboxMask;
    }
    /**
     * Set voiceMailboxMask value
     * @param string $voiceMailboxMask
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVoiceMailProfile
     */
    public function setVoiceMailboxMask($voiceMailboxMask = null)
    {
        $this->voiceMailboxMask = $voiceMailboxMask;
        return $this;
    }
    /**
     * Get voiceMailPilot value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVmPilot|null
     */
    public function getVoiceMailPilot()
    {
        return $this->voiceMailPilot;
    }
    /**
     * Set voiceMailPilot value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RVmPilot $voiceMailPilot
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVoiceMailProfile
     */
    public function setVoiceMailPilot(\\Losc\CucmBundle\Model\Webservice\StructType\RVmPilot $voiceMailPilot = null)
    {
        $this->voiceMailPilot = $voiceMailPilot;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RVoiceMailProfile
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
